﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "John Hammond", "United States")
            dt.Rows.Add(2, "Mudassar Khan", "India")
            dt.Rows.Add(3, "Suzanne Mathews", "France")
            dt.Rows.Add(4, "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub GridView1_RowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            'Find the TextBox control.
            Dim txtName As TextBox = TryCast(e.Row.FindControl("txtName"), TextBox)

            'Find the DropDownList control.
            Dim ddlCountries As DropDownList = TryCast(e.Row.FindControl("ddlCountries"), DropDownList)
            Dim country As String = TryCast(e.Row.DataItem, DataRowView)("Country").ToString()
            ddlCountries.Items.FindByValue(country).Selected = True
        End If
    End Sub

    Protected Sub GridView1_RowCommand(sender As Object, e As GridViewCommandEventArgs)
        'Determine the RowIndex of the Row whose Button was clicked.
        Dim rowIndex As Integer = Convert.ToInt32(e.CommandArgument)

        'Reference the GridView Row.
        Dim row As GridViewRow = GridView1.Rows(rowIndex)

        'Find the TextBox control.
        Dim txtName As TextBox = TryCast(row.FindControl("txtName"), TextBox)

        'Find the DropDownList control.
        Dim ddlCountries As DropDownList = TryCast(row.FindControl("ddlCountries"), DropDownList)

        ClientScript.RegisterStartupScript(Me.[GetType](), "alert", "alert('Name: " + txtName.Text + "\nCountry: " + ddlCountries.SelectedItem.Value + "');", True)
    End Sub
End Class
